﻿--Texture registering
local surface = AceLibrary("Surface-1.0")
surface:Register("Otravi", "Interface\\AddOns\\FuBar_DruidTimerFu\\Textures\\otravi")
surface:Register("Smooth", "Interface\\AddOns\\FuBar_DruidTimerFu\\Textures\\smooth")
surface:Register("Glaze", "Interface\\AddOns\\FuBar_DruidTimerFu\\Textures\\glaze")
surface:Register("Charcoal", "Interface\\AddOns\\FuBar_DruidTimerFu\\Textures\\Charcoal")
surface:Register("BantoBar", "Interface\\AddOns\\FuBar_DruidTimerFu\\Textures\\default")
 
--Locals 
local L = AceLibrary("AceLocale-2.2"):new("DruidTimerFu")

--Ace2 Registering
DruidTimerFu = AceLibrary("AceAddon-2.0"):new("AceConsole-2.0", "AceEvent-2.0", "AceDB-2.0", "AceModuleCore-2.0", "FuBarPlugin-2.0")
DruidTimerFu:SetModuleMixins("AceEvent-2.0", "CandyBar-2.0")

--Mod Options
DruidTimerFu.Menu = { 
    type ="group",
    args = {
		[L["Bars To Show"]] = {
			type = "header",
			name = L["Bars To Show"],
			order = 1,
		},
		["spacer1"] = {
			type = "header",
			name = " ",
			order = 10,
		},
		["spacer2"] = {
			type = "header",
			name = " ",
			order = 100,
		},
		[L["Reset settings"]] = {
			type = "execute",
			order = 102,
			name = L["Reset settings"],
			desc = L["Reset settings for this profile"],
			func = function() DruidTimerFu:ResetDB("profile") end,
		},	
	},
} 

--Dissable if not Druid
function DruidTimerFu:OnInitialize()
--Saved Information
self:RegisterDB("DruidTimerFuDB")
--Revision 
self.revision = tonumber(string.sub("$Rev: 28659 $", 7, -3))
self.version = self.version .. " |cffff8888r"..self.revision.."|r"
local playerClass, englishClass = UnitClass("player");
	if (englishClass == "DRUID") then
	self:ToggleActive(true)
	else
	self:ToggleActive(false)
end
self:RegisterChatCommand({"/DruidTimerFu", "/ptf"}, self.Menu)
end

function DruidTimerFu:OnEnable()
for name, module in self:IterateModules() do
	self:ToggleModuleActive(module, true)
end
end

function DruidTimerFu:OnDisable()
	for name, module in self:IterateModules() do
		self:ToggleModuleActive(module, false)
	end
end
 
--FuBar Stuff
DruidTimerFu.OnMenuRequest = DruidTimerFu.Menu
DruidTimerFu.hasNoColor = true
DruidTimerFu.hasIcon = "Interface\\Icons\\Spell_Nature_Reincarnation"
DruidTimerFu.defaultMinimapPosition = 180
DruidTimerFu.cannotDetachTooltip = true
DruidTimerFu.hideWithoutStandby = true 